package com.supwisdom.dlpay.consume.domain;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "t_paydtl")
public class TPaydtl {
  private String refno;
  /**
   * 交易关联个人信息
   */
  private String userid;
  private String name;
  /**
   * 记账日期
   */
  private String accDate;
  /**
   * 交易发生日期
   */
  private String transDate;
  private String transTime;

  /**
   * 交易代码
   */
  private Integer transCode;
  private String transName;
  /**
   * 可选值 init, wip, success, failed
   */
  private String status;
  /**
   * 交易总金额
   */
  private Double amount;
  /**
   * 交易前个人账户余额
   */
  private Double befBalance;
  /**
   * 借方账号
   */
  private String accNo;
  private String accName;
  /**
   * 借方科目号
   */
  private String accSubjNo;

  /**
   * 交易方向 credit, debit
   */
  private String direction;
  /**
   * 结算标志 none, ok
   */
  private String settleStatus;
  /**
   * 结算日期
   */
  private String settleDate;
  /**
   * 可选值 none, cancel, reversed
   */
  private String reverseFlag;
  /**
   * 当有撤销交易时，撤销金额填写
   */
  private Double reverseAmount;

  /**
   * 交易说明
   */
  private String describe;

  /**
   * 交易字表
   */
  private String detailType;

}
